Home | Blog | Software | Reviews and Features | Forum | Help | Donate | About us
topbanner_forum
  *

avatar image

Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
  • December 09, 2016, 01:53:31 AM
  • Proudly celebrating 10 years online.
  • Donate now to become a lifetime supporting member of the site and get a non-expiring license key for all of our programs.
  • donate

Author Topic: FARR problem with .NET 4.0  (Read 2658 times)

imarkov

  • Participant
  • Joined in 2009
  • *
  • Posts: 6
    • View Profile
    • Donate to Member
FARR problem with .NET 4.0
« on: July 07, 2010, 04:11:06 PM »
Hi,

I have Windows 7 x64 Home Premium. Few days ago "new" .NET framework 4.0.30319 was recommended on Windows Update, so I installed it. Now, every time FARR starts, it shows following message box:

"To run this application, you first must install one of the following versions of the .NET framework: v4.0.30319"?!?

That message box is always shown twice! Beside that, FARR seems to be working fine, except same thing happens when I configure plugins inside options dialog. Plugins used are: Akete, FarrSpell, FCalc, FARRSubScript and hamNotes. Message boxes are shown even all plugins are unchecked.

I'm running same FARR installation on second machine that has Windows XP SP3, fully patched, has .NET 4.0 and get no message boxes whatsoever.

Any ideas?

mouser

  • First Author
  • Administrator
  • Joined in 2005
  • *****
  • Posts: 36,421
    • View Profile
    • Mouser's Software Zone on DonationCoder.com
    • Read more about this member.
    • Donate to Member
Re: FARR problem with .NET 4.0
« Reply #1 on: July 07, 2010, 04:16:28 PM »
its a plugin that is doing it.. can you try to figure out which one it is?

imarkov

  • Participant
  • Joined in 2009
  • *
  • Posts: 6
    • View Profile
    • Donate to Member
Re: FARR problem with .NET 4.0
« Reply #2 on: July 07, 2010, 04:32:33 PM »
Like I said, it happens even if they are all turned off, but I'll try  ;). I just pressed "View Plugins Error Log" and this is from last few days:

...
04:36 PM, Monday, July 05, 2010
 Error initializing plugin do_init function
C:\iDrive\Apps\misc\FindAndRunRobot\Plugins\FARREnviormentVariables\FARREnviormentVariables.dll

09:03 AM, Tuesday, July 06, 2010
 Error initializing plugin do_init function
C:\iDrive\Apps\misc\FindAndRunRobot\Plugins\FARREnviormentVariables\FARREnviormentVariables.dll

08:21 AM, Wednesday, July 07, 2010
 Error initializing plugin do_init function
C:\iDrive\Apps\misc\FindAndRunRobot\Plugins\FARREnviormentVariables\FARREnviormentVariables.dll

which is interesting since that plugin is not in the list at all?!? Also, log file contain similar lines:

::: [ Starting Find and Run Robot v2.87.03 on Wednesday July 07, 2010 at 11:24 PM ] :::
*Loading plugin: FARREnviormentVariables\FARREnviormentVariables.dll
 Failed.
*Loading plugin: FARREnviormentVariables\FARREnviormentVariablesRCW.dll
 Failed.


Now, I removed folder "FARREnviormentVariables" and ... success! The only mystery to me now is why that plugin was loaded in the first place, it was not selected, it was not on the list of the plugins in the first place? Can I fixed it somehow?

daddydave

  • Supporting Member
  • Joined in 2008
  • **
  • Posts: 822
    • View Profile
    • Donate to Member
Re: FARR problem with .NET 4.0
« Reply #3 on: July 08, 2010, 06:08:58 AM »
I had to remove that plugin too, I have .NET 4 but I can't remember if I had problems with it before or not.
If bad things happen to other people, it's karma. If bad things happen to me, it's kismat!